<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/6/27
 * Time: 上午 10:21
 */

namespace App\Http\Requests\API\User;


use Illuminate\Foundation\Http\FormRequest;

class CreateCompanyUserRequest extends FormRequest
{
    use RuleHelper;

    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {

        return [
            'name' => 'required|max:100',
            'email' => 'required|email|unique:users',
            'username'=>'required|max:30|unique:users',
            'password' => 'required|min:6|regex:/^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[a-zA-Z\d]{6,}$/', // 至少6位，包含大小写字母和数字,At least 6 digits, including upper and lower case letters and numbers
            'phone'=>'nullable|regex:/^\d{8,11}$/',
            'company_id'=>'required|exists:company,id',
        ];
    }
}
